Retrieve a card’s PIN
GET
/v2/cards/{cardId}/pinRequest
Use this request to retrieve the PIN for a given card.Path parameters
The ID of the card that you want to retrieve the PIN for.Allowable values: An existing
cardId (≤ 36 characters)Query parameters
The ID of the account associated with the card.Allowable values: An existing
cardId (≤ 36 characters)The ID of the person who owns the card.Allowable values: An existing
personId (≤ 36 characters)The method that was used to verify the identity of the cardholder.Allowable values:
BIOMETRIC_FACE, BIOMETRIC_FINGERPRINT, LOGINResponse
If your request is successful, you’ll receive a200 response containing the pin.
Update a card’s PIN
PUT
/v2/cards/{cardId}/pinRequest
Use this request to update the PIN of a card on a given account where anaccountId and cardId are provided.
Path parameters
The ID of the card that you want to update the PIN for. You can get the
cardId when you view card details.Allowable values: An existing cardId (≤ 36 characters)Query parameters
The ID of the account associated with the card.Allowable values: An existing
accountId (≤ 36 characters)The ID of the person that the card belongs to.Allowable values: An existing
personId (≤ 36 characters)Request body schema
The new card PIN. If not provided, we’ll randomly generate one for you.Allowable values: 4 characters (
^\d+$)Response
If your request is successful, you’ll receive a200 response.